403Webshell
Server IP : 104.21.84.107  /  Your IP : 104.23.197.209
Web Server : Apache/2.4.63 (Ubuntu)
System : Linux adminpruebas-Virtual-Machine 6.14.0-37-generic #37-Ubuntu SMP PREEMPT_DYNAMIC Fri Nov 14 22:10:32 UTC 2025 x86_64
User : www-data ( 33)
PHP Version : 8.4.5
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : ON
Directory :  /var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /var/lib/dpkg/info/dash.preinst
#!/bin/sh

set -e

if [ "$1" = upgrade ] && dpkg --compare-versions "$2" lt 0.5.12-9~; then
	# Upgrading from pre-/usr-move DEP17
	truename=$(dpkg-divert --truename /bin/sh)
	if [ "$truename" != /bin/sh ] &&
		[ "$(dpkg-divert --listpackage /bin/sh)_$truename" != "dash_/bin/sh.distrib" ] &&
		[ "$(dpkg-divert --truename /usr/bin/sh)" = "/usr/bin/sh" ]; then
		# There is a diversion of /bin/sh and it is not our own
		# diversion to /bin/sh.distrib that will be removed in
		# postinst and there is no matching diversion of /usr/bin/sh.
		if [ -f /usr/share/debconf/confmodule ]; then
			. /usr/share/debconf/confmodule
			db_input critical dash/ineffectivediversion || true
			db_go || true
			# We have no other debconf usage in dash, so we can purge rightaway.
			db_purge || true
		else
			# The chances of anyone hitting this branch are very slim.
			# If they do, they will appreciate letting them change their diversion.
			echo "ERROR: Found ineffective diversion of /bin/sh!" >&2
			echo "To keep using alternative default shell, divert /usr/bin/sh instead." >&2
			echo "Aborting upgrade. Resolve the issue and try again." >&2
			exit 1
		fi
	fi
fi



exit 0

Youez - 2016 - github.com/yon3zu
LinuXploit